P4_STR_PUSH_EXT(3)

NAME
p4_str_push_ext - $PUSH-EXT ( a$ -- $: a$ )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_str_push_ext(---);

DESCRIPTION

Pop an external mstring address from the data stack and push it onto the string stack after checking for room, invoking garbage collection if necessary. Not to be used with a dynamic string because a garbage collection can invalidate its address.

This word violates the normal rule that only ANS Forth strings should appear on the data stack, and so is under the hood. "string-push-ext"

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams